pavucontrol-qt-0.3.0

Introduction to pavucontrol-qt

pavucontrol-qt is the Qt port of volume control pavucontrol of sound server PulseAudio. Its use is not limited to LXQt.

This package is known to build and work properly using an LFS-8.1 platform.

Package Information

pavucontrol-qt Dependencies

Required

liblxqt-0.12.0 and PulseAudio-11.1, built with GLib-2.54.2 support

Optional

git-2.15.1 (to download translation files) or lxqt-l10n-0.12.0 (to add localization files)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/pavucontrol-qt

Installation of pavucontrol-qt

Install pavucontrol-qt by running the following commands:

mkdir -v build &&
cd       build &&

cmake -DCMAKE_BUILD_TYPE=Release          \
      -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
      -DPULL_TRANSLATIONS=no              \
      ..       &&
make

This package does not come with a test suite.

Now, as the root user:

make install

If you installed in /opt, again as the root user:

if [ "$LXQT_PREFIX" != /usr ]; then
  ln -svf $LXQT_PREFIX/share/applications/pavucontrol-qt.desktop \
          /usr/share/applications
fi

Command Explanations

-DPULL_TRANSLATIONS=no: Removes the need for git-2.15.1, which would otherwise be requested to download the translation files.

Contents

Installed Program: pavucontrol-qt
Installed Libraries: None
Installed Directory: None

Short Descriptions

pavucontrol-qt

is a Qt based GUI configuration tool for sound settings using pulsaudio.

Last updated on 2017-10-27 11:21:45 -0500